namespace WebApplication35.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class v3 : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Borrows",
                c => new
                    {
                        BorrowID = c.Int(nullable: false, identity: true),
                        BookID = c.Int(nullable: false),
                        UserID = c.String(maxLength: 128),
                    })
                .PrimaryKey(t => t.BorrowID)
                .ForeignKey("dbo.Books", t => t.BookID, cascadeDelete: true)
                .ForeignKey("dbo.AspNetUsers", t => t.UserID)
                .Index(t => t.BookID)
                .Index(t => t.UserID);
            
            CreateTable(
                "dbo.Books",
                c => new
                    {
                        BookID = c.Int(nullable: false, identity: true),
                        Title = c.String(),
                    })
                .PrimaryKey(t => t.BookID);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.Borrows", "UserID", "dbo.AspNetUsers");
            DropForeignKey("dbo.Borrows", "BookID", "dbo.Books");
            DropIndex("dbo.Borrows", new[] { "UserID" });
            DropIndex("dbo.Borrows", new[] { "BookID" });
            DropTable("dbo.Books");
            DropTable("dbo.Borrows");
        }
    }
}
